## org.eclipse.emf.ecore.util
Class EcoreAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.ecore.util.EcoreAdapterFactory

All Implemented Interfaces:
  AdapterFactory

Direct Known Subclasses:
  EcoreItemProviderAdapterFactory

    public class EcoreAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `EcorePackage`

Field Summary
`protected static EcorePackage` `modelPackage` The cached model package
`protected EcoreSwitch<Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`EcoreAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`
`Adapter` `createEAnnotationAdapter()` Creates a new adapter for an object of class '`EAnnotation`'
`Adapter` `createEAttributeAdapter()` Creates a new adapter for an object of class '`EAttribute`'
`Adapter` `createEClassAdapter()` Creates a new adapter for an object of class '`EClass`'
`Adapter` `createEClassifierAdapter()` Creates a new adapter for an object of class '`EClassifier`'
`Adapter` `createEDataTypeAdapter()` Creates a new adapter for an object of class '`EData Type`'
`Adapter` `createEEnumAdapter()` Creates a new adapter for an object of class '`EEnum`'
`Adapter` `createEEnumLiteralAdapter()` Creates a new adapter for an object of class '`EEnum Literal`'
`Adapter` `createEFactoryAdapter()` Creates a new adapter for an object of class '`EFactory`'
`Adapter` `createEGenericTypeAdapter()` Creates a new adapter for an object of class '`EGeneric Type`'
`Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'
`Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`Adapter` `createEOperationAdapter()` Creates a new adapter for an object of class '`EOperation`'
`Adapter` `createEPackageAdapter()` Creates a new adapter for an object of class '`EPackage`'
`Adapter` `createEParameterAdapter()` Creates a new adapter for an object of class '`EParameter`'
`Adapter` `createEReferenceAdapter()` Creates a new adapter for an object of class '`EReference`'
`Adapter` `createEStringToStringMapEntryAdapter()` Creates a new adapter for an object of class '`EString To String Map Entry`'
`Adapter` `createEStructuralFeatureAdapter()` Creates a new adapter for an object of class '`EStructural Feature`'
`Adapter` `createETypedElementAdapter()` Creates a new adapter for an object of class '`ETyped Element`'
`Adapter` `createETypeParameterAdapter()` Creates a new adapter for an object of class '`EType Parameter`'
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static EcorePackage modelPackage

  The cached model package.

### modelSwitch

    protected EcoreSwitch<Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### EcoreAdapterFactory

    public EcoreAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AdapterFactoryImpl`
  Parameters:
    `object` - the key indicating the type of adapter in question.
  Returns:
    whether this factory is applicable for the type of the object.
  See Also:
    `Adapter.isAdapterForType(java.lang.Object)`

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.
  See Also:
    `AdapterFactoryImpl.createAdapter(Notifier)`

### createEModelElementAdapter

    public Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EModelElement`

### createEStructuralFeatureAdapter

    public Adapter createEStructuralFeatureAdapter()

  Creates a new adapter for an object of class '`EStructural Feature`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EStructuralFeature`

### createEAnnotationAdapter

    public Adapter createEAnnotationAdapter()

  Creates a new adapter for an object of class '`EAnnotation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EAnnotation`

### createEAttributeAdapter

    public Adapter createEAttributeAdapter()

  Creates a new adapter for an object of class '`EAttribute`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EAttribute`

### createEClassAdapter

    public Adapter createEClassAdapter()

  Creates a new adapter for an object of class '`EClass`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EClass`

### createEDataTypeAdapter

    public Adapter createEDataTypeAdapter()

  Creates a new adapter for an object of class '`EData Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EDataType`

### createEClassifierAdapter

    public Adapter createEClassifierAdapter()

  Creates a new adapter for an object of class '`EClassifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EClassifier`

### createENamedElementAdapter

    public Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ENamedElement`

### createETypedElementAdapter

    public Adapter createETypedElementAdapter()

  Creates a new adapter for an object of class '`ETyped Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ETypedElement`

### createEParameterAdapter

    public Adapter createEParameterAdapter()

  Creates a new adapter for an object of class '`EParameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EParameter`

### createEOperationAdapter

    public Adapter createEOperationAdapter()

  Creates a new adapter for an object of class '`EOperation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EOperation`

### createEPackageAdapter

    public Adapter createEPackageAdapter()

  Creates a new adapter for an object of class '`EPackage`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EPackage`

### createEFactoryAdapter

    public Adapter createEFactoryAdapter()

  Creates a new adapter for an object of class '`EFactory`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EFactory`

### createEEnumLiteralAdapter

    public Adapter createEEnumLiteralAdapter()

  Creates a new adapter for an object of class '`EEnum Literal`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EEnumLiteral`

### createEEnumAdapter

    public Adapter createEEnumAdapter()

  Creates a new adapter for an object of class '`EEnum`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EEnum`

### createEReferenceAdapter

    public Adapter createEReferenceAdapter()

  Creates a new adapter for an object of class '`EReference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EReference`

### createEStringToStringMapEntryAdapter

    public Adapter createEStringToStringMapEntryAdapter()

  Creates a new adapter for an object of class '`EString To String Map Entry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Map.Entry`

### createEGenericTypeAdapter

    public Adapter createEGenericTypeAdapter()

  Creates a new adapter for an object of class '`EGeneric Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EGenericType`

### createETypeParameterAdapter

    public Adapter createETypeParameterAdapter()

  Creates a new adapter for an object of class '`EType Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ETypeParameter`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.